Show / Hide Table of Contents

# Class NullableConverter<T, TConverter>

A converter for a Nullable<T> that default-constructs a converter of type `TConverter` to use as the underlying converter. Use this in the UseConverterAttribute.

##### Inheritance

Object
ValueConverter<Nullable<T>>
NullableConverter<T>
NullableConverter<T, TConverter>

##### Implements

IValueConverter

##### Inherited Members

NullableConverter<T>.FromValue(Value, Object)
NullableConverter<T>.ToValue(Nullable<T>, Object)
ValueConverter<Nullable<T>>.IValueConverter.ToValue(Object, Object)
ValueConverter<Nullable<T>>.IValueConverter.FromValue(Value, Object)
ValueConverter<Nullable<T>>.IValueConverter.Type
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Config.Stores.Converters

###### Assembly: IPA.Loader.dll

##### Syntax

    public sealed class NullableConverter<T, TConverter> : NullableConverter<T>, IValueConverter where T : struct where TConverter : ValueConverter<T>, new()

##### Type Parameters

Name | Description
--- | ---
T | the underlying type of the Nullable<T>
TConverter | the type to use as an underlying converter

### Constructors

| Improve this Doc View Source

#### NullableConverter()

Creates a converter with a new `TConverter` as the underlying converter.

##### Declaration

    public NullableConverter()

##### See Also

NullableConverter(ValueConverter<T>)

### Implements

IValueConverter

### Extension Methods

ReflectionUtil.SetField<T, U>(T, String, U)
ReflectionUtil.GetField<U, T>(T, String)
ReflectionUtil.SetProperty<T, U>(T, String, U)
ReflectionUtil.GetProperty<U, T>(T, String)
ReflectionUtil.InvokeMethod<U, T>(T, String, Object[])

### See Also

NullableConverter<T>